### Struct

# Xdp Parent

unstable since: 1.0

#### Description [src]

    struct XdpParent {
      /* No available fields */
    }

Parent window abstraction.

The `XdpParent` struct provides an abstract way to represent a window, without introducing a dependency on a toolkit library.

An XdpParent implementation for GTK is included in the `portal-gtk3.h` and `portal-gtk4.h` header files, in the form of inline functions. To create a XdpParent for a GTK window, use `xdp_parent_new_gtk()`.

Available since: 1.0

#### Instance methods

###### xdp_parent_copy

Copies `source` into a new `XdpParent`.

unstable since: 1.0

###### xdp_parent_free

Frees `parent`.

unstable since: 1.0